gr-baz Package

Public Member Functions | Friends | List of all members
baz_pow_cc Class Reference
GNU Radio baz C++ Signal Processing Blocks

square2 a stream of floats. More...

`#include <baz_pow_cc.h>`

Inheritance diagram for baz_pow_cc:
[legend]

## Public Member Functions
| ~baz_pow_cc ()
void | set_exponent (float exponent)
void | set_division_exponent (float div_exp)
float | exponent () const
float | division_exponent () const
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Friends
BAZ_API baz_pow_cc_sptr | baz_make_pow_cc (float exponent, float div_exp)
| Return a shared_ptr to a new instance of baz_pow_cc. More...

## Detailed Description

square2 a stream of floats.

This uses the preferred technique: subclassing gr::sync_block.

## Constructor & Destructor Documentation

## ◆ ~baz_pow_cc()

baz_pow_cc::~baz_pow_cc | ( |  | ) |

## Member Function Documentation

## ◆ division_exponent()

float baz_pow_cc::division_exponent | ( |  | ) | const
| inline

## ◆ exponent()

float baz_pow_cc::exponent | ( |  | ) | const
| inline

## ◆ set_division_exponent()

void baz_pow_cc::set_division_exponent | ( | float | div_exp | ) |

## ◆ set_exponent()

void baz_pow_cc::set_exponent | ( | float | exponent | ) |

## ◆ work()

int baz_pow_cc::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

## Friends And Related Function Documentation

## ◆ baz_make_pow_cc

BAZ_API baz_pow_cc_sptr baz_make_pow_cc | ( | float | exponent,
|  | float | div_exp
| ) |  |
| friend

Return a shared_ptr to a new instance of baz_pow_cc.

To avoid accidental use of raw pointers, baz_pow_cc's constructor is private. howto_make_square2_ff is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- baz_pow_cc.h